
:root {
/* Font Variables */
  --font-family-heading: "Cormorant Garamond", serif;
  --font-family-paragraph: "Poppins", sans-serif; /* Replace with TT Commons Pro - need license */
  --font-weight-regular: 400;
  --font-weight-semi-bold: 600;
  --font-weight-light: 300; /* Poppins only */
  --font-weight-medium: 500; /* Poppins only */

/* Color Variables */
--white: #ffffff;
--soft-ivory: #F6F3EF;
--soft-ivory-transparent: rgba(246, 243, 239, 0.9);
--charcoal: #2E2C2A;
--bg-color: #F1EAEA;
}

body {
    margin: 0;
    padding: 0;
    background-color: var(--bg-color);
}

/* Default font styles */
 h1, h2, h3, h4, h5, h6, p, li, a, button {
  font-style: normal;
  font-weight: var(--font-weight-regular);
  font-optical-sizing: auto; /* only applies to cormorant-garamond */
 } 

 /* default text styles */
 h1, h2 {
    font-family: var(--font-family-heading);
    color: var(--charcoal);
    margin: 0;
 }
 h3, h4, h5, h6, p, li, option, input {
    font-family: var(--font-family-paragraph);
    color: var(--charcoal);
    margin: 0;
    font-size: 20px;
 }
 p, li {
    font-size: 20px;
    line-height: 1.5;
 }
 a {
    font-family: var(--font-family-heading);
    text-decoration: none;
    color: var(--charcoal);
 }
 button {
    font-family: var(--font-family-heading);
    font-variant: small-caps;
    letter-spacing: 2px;
    color: var(--charcoal);
    margin: 0;
    padding: 0;
    border: none;
 }

/*** header styles ***/
.header-container {
    background-color: var(--bg-color);
}
.header-content {
    display: flex;
    justify-content: space-around;
    height: 143px;
    margin: 0 auto;
}
.header-logo {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 34px 0 auto;
}
.header-logo-fableandrose {
    font-size: 46px;
    font-weight: var(--font-weight-semi-bold);
}
.header-logo-and {
    font-size: 40px;
}
.header-logo-studio {
    display: flex;
    flex-direction: row;
    align-items: center;
    font-size: 32px;
    font-variant: small-caps;
    letter-spacing: 2px;
    margin-top: -12px;
}
.header-logo-hr {
    border-top: 1px solid var(--charcoal);
    width: 18px;
    margin: 22px 10px auto;
}
.header-links {
    display: flex;
    align-items: center;
    font-size: 32px;
    margin-bottom: 10px;
}
.header-links-group-one {
    width: 33%;
    justify-content: flex-end;
    padding-right: 50px;
}
.header-links-logo {
    /* width: 34%; remove for coming soon only */
}
.header-links-group-two {
    width: 33%;
    padding-left: 50px;
}
.header-links a:nth-child(1) {
    margin-right: 33px;
}
a.header-link {
    font-family: var(--font-family-heading);
    font-variant: small-caps;
    letter-spacing: 2px;
}
.header-button {
    background-color: #E1D6CF;
    padding: 6px 19px 8px;
    font-family: var(--font-family-heading);
    font-size: 30px;
}

/*** hero styles ***/
.hero-container {
    background-image: url("images/homepage/hp_hero.png");
    height: 90vh;
    object-fit: cover;
    background-repeat: no-repeat;
    background-size: cover;
    background-position-y: 20%;
}
.hero-content {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.hero-text {
    margin: -143px auto 0;
    padding: 100px 0 120px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    background: linear-gradient(transparent 0%, rgba(74, 65, 49, 0.38) 35%, rgba(74, 65, 49, 0.38) 60%, transparent 100% );
}
.hero-text-heading-container {
    display: flex;
    align-items: center;
}
.hero-text-heading {
    font-size: 74px;
    color: var(--white);
}
.hero-text-sub {
    font-size: 32px;
    color: var(--white);
    font-weight: var(--font-weight-light);
    width: fit-content;
}
.hero-text-sub-2 {
    font-size: 24px;
    margin-top: 50px;
}
.hero-button {
    border: 1px solid var(--white);
    padding: 3px 40px 10px;
    font-size: 42px;
    font-variant: small-caps;
    background-color: var(--soft-ivory-transparent);
    display: block;
    margin: -250px auto 0;
}

/*** work section styles ***/
.body-container {
    background-color: var(--bg-color);
}
.work-container {
    padding: 60px 60px 160px;
}
.work-heading {
    font-size: 36px;
    padding-bottom: 60px;
    text-align: center;
}
.work-images-row {
    display: flex;
    justify-content: center;
}
.work-images-row-1 {
    width: 100%;
}
.work-images-row-1 img {
    height: 16.6vw;
    margin: 10px;
}
.work-images-row-2 img {
    height: 43.2vw;
    margin: 10px;
}
.work-images-row-3 img {
    height: 29.11vw;
    margin: 10px;
}
.work-images-row-4 img {
    height: 19.56vw;
    margin: 10px;
}

/*** garden section ***/
.garden-container {
    padding: 0 60px 160px;
}
.garden-heading {
    font-size: 36px;
    padding-bottom: 60px;
    text-align: center;
}
.garden-text-container {
    margin: 0 auto;
    padding: 60px 0 142px;
}
.garden-intro-text {
    margin: 30px 0 40px;
}
.garden-description-container {
    width: 720px;
    margin: 0 auto;
    background-color: #f6f3ef;
    padding: 77px 225px;
}
.garden-sub-heading {
    font-size: 26px;
    font-weight: var(--font-weight-light);
    text-align: center;
    font-variant: all-small-caps;
    letter-spacing: 2px;
}
.garden-intro-text, .garden-body-copy {
    font-size: 20px;
    font-weight: var(--font-weight-light);
}
.garden-images-row {
    display: flex;
    justify-content: center;
}
.garden-images-row-1 {
    width: 100%;
}
.garden-images-row-1 img {
    height: 16.3vw;
    margin: 10px;
}
.garden-images-row-2 img {
    height: 18.15vw;
    margin: 10px;
}
.garden-images-row-3 img {
    height: 19vw;
    margin: 10px;
}

/*** about section ***/
/* .about-page p, .about-page h3, .about-page h4 { 
      font-family: "Overpass", sans-serif;
} */
.about-container {
    padding: 60px 60px 100px;
}
.about-heading {
    font-size: 36px;
    padding-bottom: 60px;
    text-align: center;
}
.about-intro-container {
    width: 720px;
    margin: 0 auto;
    background-color: #f6f3ef;
    padding: 77px 225px;
}
.about-intro-text {
    font-weight: var(--font-weight-light);
}
.about-intro-text-2 {
    margin-top: 24px;
}
.about-sub-headings-container {
    display: flex;
    justify-content: center;
    margin-top: 150px;
}
.about-image-rose {
    height: 44vw;
}
.about-sub-heading-text-container {
    margin: auto 0;
    margin-left: 6vw;
}
.about-sub-heading {
    font-size: 26px;
    font-weight: var(--font-weight-light);
    text-align: center;
    font-variant: all-small-caps;
    letter-spacing: 2px;
    margin-bottom: 16px;
}
.about-sub-sub-heading {
    text-align: center;
    font-weight: var(--font-weight-light);
}
.about-text-container {
    max-width: 720px;
    margin: 0 auto;
    margin-top: 65px;
}
.about-paragraph-break {
    margin-top: 20px;
}
.about-action-images-container {
    display: flex;
    justify-content: center;
    margin-top: 60px;
}
.about-action-image {
    width: 38vw;
}
.action-image-2 {
    margin-left: 16px;
}
.dot {
  height: 5px;
  width: 5px;
  background-color: var(--charcoal);
  border-radius: 50%;
  display: inline-block;
  margin: 0 10px;
}
.about-sub-heading .dot {
    margin-top: 3px;
}

/*** inquiry section ***/
.inquiry-container {
    margin: 0 auto;
    padding-bottom: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 500px;
}
.inquiry-heading {
    font-size: 36px;
    text-align: center;
    margin: 60px 0 20px;
}
.inquiry-form {
    display: flex;
    flex-direction: column;
    width: 500px;
}
.inquiry-form label {
    font-family: var(--font-family-paragraph);
    margin: 16px 0 5px;
}
.inquiry-form input{
    height: 24px;
    padding-left: 3px;
}
.form-options {
    height: 28px;
}
textarea {
    height: 200px;
}
.inquiry-form-submit {
    margin-top: 16px;
    align-self: flex-end;
    font-size: 24px;
    padding: 6px 19px 8px;
    text-align: center;
    background-color: #E1D6CF;
}


/* footer */
.footer {
    height: 70px;
    background-color: var(--soft-ivory);
    display: flex;
    align-items: center;
    justify-content: center;
}
.footer-link-instagram{
    margin-right: 60px;
}
.footer-text {
    display: flex;
    align-items: center;
    justify-content: center;
}
.footer-text p {
    font-size: 16px;
}

@media screen and (width <= 767px) {
.hero-text-heading {
    font-size: 35px;
}
.hero-text-sub {
    font-size: 20px;
}
.hero-text-sub-2 {
    font-size: 16px;
}
.hero-button {
    font-size: 26px;;
}
.footer-text {
    flex-direction: column;
}
}